Bug 215329 - kernel: [ INFO: possible circular locking dependency detected ]
Summary: kernel: [ INFO: possible circular locking dependency detected ]
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2006-11-13 15:30 UTC by Tobias Oed
Modified: 2008-02-08 04:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 04:26:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
2.6.18-2 bootlog that doesn't have the lockdep warning (26.00 KB, application/octet-stream)
2006-11-13 15:30 UTC, Tobias Oed
no flags Details
2.6.18-1.2849 bootlog with the lockdep warning (30.60 KB, application/octet-stream)
2006-11-13 15:33 UTC, Tobias Oed
no flags Details
config of 2.6.18-2 (43.00 KB, application/octet-stream)
2006-11-13 15:34 UTC, Tobias Oed
no flags Details
config of 2.6.18-1.2849 (43.88 KB, application/octet-stream)
2006-11-13 15:35 UTC, Tobias Oed
no flags Details

Description Tobias Oed 2006-11-13 15:30:34 UTC
Description of problem:
Lockdep warning at boot during md raid bind with fedora kernel

Version-Release number of selected component (if applicable):
fedora kernel 2.6.18-1.2849 has the warning
vanilla kernel 2.6.18-2 doesn't

How reproducible:
100%

Steps to Reproduce:
1. Create an md raid array
1. Recompile the kernel with lockdep eanabled
2. reboot to that kernel
  
Actual results:
Get lockdep warning

Expected results:
No warning

Attaching boot log and config of both kernels
Tobias

Comment 1 Tobias Oed 2006-11-13 15:30:35 UTC
Created attachment 141054 [details]
2.6.18-2 bootlog that doesn't have the lockdep warning

Comment 2 Tobias Oed 2006-11-13 15:33:46 UTC
Created attachment 141055 [details]
2.6.18-1.2849 bootlog with the lockdep warning

Comment 3 Tobias Oed 2006-11-13 15:34:37 UTC
Created attachment 141056 [details]
config of 2.6.18-2

Comment 4 Tobias Oed 2006-11-13 15:35:37 UTC
Created attachment 141057 [details]
config of 2.6.18-1.2849

Comment 5 Jon Stanley 2008-01-08 01:54:00 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 6 Jon Stanley 2008-02-08 04:26:54 UTC
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!


Note You need to log in before you can comment on or make changes to this bug.